<!--
title: Basic steps to privacy on Garuda Linux
description: How to configure Garuda Linux for privacy
published: true
date: 2024-04-25T07:09:49.185Z
tags: tutorial, privacy, howto
editor: ckeditor
dateCreated: 2020-10-31T15:13:38.660Z
-->

<p style="text-align:justify;">Nowadays there are lots of things to consider when talking about “privacy”. Ditching windows for a Linux-based system is the first step to take!&nbsp;</p>
<p style="text-align:justify;">If you absolutely can't leave windows because you require it for work for example there are still some things you can do - installing <a href="https://ameliorated.info/">Windows AME</a> for example (removing all windows bullshit to take back control!). But in this article, we will focus on Garuda Linux-specific things of course. For more in-depth articles on different topics, the corresponding Arch wiki pages will be linked. Even more, content can be found at <a href="https://privacytools.io">privacytools.io</a> :)</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Installing and enabling the firewall</h2>
<p style="text-align:justify;">A firewall is needed to stop people abusing open ports which can lead to them having full device access for example. In Garuda Linux, <a href="https://wiki.archlinux.org/title/Uncomplicated_Firewall">ufw</a> is preinstalled in most editions. It can be enabled via systemd:</p>
<p style="text-align:justify;"><code>sudo systemctl enable --now ufw &amp;&amp; ufw enable</code></p>
<figure class="image"><img src="/screenshots/plasma-firewall.png"></figure>
<p style="text-align:justify;">An important thing to notice is that services such as KDE Connect or Syncthing will need firewall rules to work as expected as their incoming traffic will be blocked by the firewall as well. To achieve that open up the Firewall application from the start menu. KDE ships an application for this purpose, other editions will have to install <a href="https://wiki.archlinux.org/title/Uncomplicated_Firewall#GUI_frontends">Gufw</a> if they want to operate the firewall via GUI. Otherwise, it is quite easy to do via the command line:</p>
<p style="text-align:justify;"><code>sudo ufw default deny</code> (denies every incoming request by default)</p>
<p style="text-align:justify;"><code>sudo ufw allow ssh</code> (allows ssh)</p>
<p style="text-align:justify;">More on this topic can be found <a href="https://wiki.archlinux.org/index.php/Uncomplicated_Firewall">here</a>.</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Using alternative DNS servers to block ads and/or analytics.</h2>
<p style="text-align:justify;">Using DNS servers is a very easy way to block ads and unblock censorship by internet providers. There are some useful DNS providers such as AdGuard which can be enabled in our Garuda Welcome application. Find out what it does <a href="https://adguard.com/en/adguard-dns/overview.html">here</a>.&nbsp;</p>
<figure class="image"><img src="/screenshots/garuda-assistant-dns.png"></figure>
<p style="text-align:justify;">As a bonus <code>hblock</code> could be used. It blocks ads and malware domains using the <code>/etc/hosts</code> file which blocks the domains locally rather than via a DNS server. ArcoLinux got some <a href="https://arcolinux.com/use-hblock-to-improve-your-security-and-privacy-by-blocking-ads-tracking-and-malware-domains/">more information</a> on this topic. Also, you can modify your <code>/etc/hosts</code> file yourself by using <a href="https://github.com/StevenBlack/hosts">this database</a> with the most spooky sites including ads, tracking, porn, fake news and gambling. You can choose what you want to block.</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Using the right browser</h2>
<p style="text-align:justify;">The browser is kind of the middleman between you and the internet while being able to log every action you take. That's why you should choose carefully here. There are lots of <a href="https://wiki.archlinux.org/index.php/List_of_applications/Internet#Web_browsers">web</a> <a href="https://wiki.archlinux.org/index.php/List_of_applications/Internet#Web_browsers">browsers</a> available so choosing the right one might be a confusing task. Generally speaking, Firefox-based browsers are likely the best choice among these nowadays. It's backed by the Mozilla foundation which has a quite good reputation and is easily expandable by add-ons. The other “big” player is Chromium - there are a lot of browsers based on chromium such as Google Chrome or the Brave browser. While the engine Chromium uses still seems to be quicker than Firefox these days it is associated with Google - a company known for massive <a href="https://en.wikipedia.org/wiki/Privacy_concerns_regarding_Google">privacy concerns</a>. A project which tries to cut Google out of Chromium is <a href="https://github.com/Eloston/ungoogled-chromium">Ungoogled Chromium</a>. If you want to use the Chromium engine, this browser will most likely be the best bet. Since most Google stuff doesn't exist in this browser you will need <a href="https://github.com/NeverDecaf/chromium-web-store">this extension</a> to install add-ons from the Web store without <a href="https://ungoogled-software.github.io/ungoogled-chromium-wiki/faq#can-i-install-extensions-or-themes-from-the-chrome-webstore">other workarounds</a>. It is worth noting that we ship the privacy-respecting <a href="https://forum.garudalinux.org/t/firedragon-librewolf-fork/5018">FireDragon</a> browser, based on Firefox, by default in Garuda. Also, an interesting option would be to choose a <a href="https://git.nuegia.net/webbrowser.git/">Web Browser</a>. Yeah, that's not a really convenient name. It's based on Pale Moon, which is based on an old branch of Firefox. But it lacks support for modern extensions, even though presents some other obscure ones.</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Using the right browser addons</h2>
<p style="text-align:justify;">Browser add-ons are important and needed these days to have a good experience browsing the internet.</p>
<ul>
  <li style="text-align:justify;"><a href="https://addons.mozilla.org/de/firefox/addon/ublock-origin/">uBlock Origin</a>. This one is needed to block Ads and malicious domains. If you are asking yourself why we will need this if eventually changed DNS is basically doing the same - uBlock is able to block the ads at the website level which means you won<a href="https://addons.mozilla.org/de/firefox/addon/ublock-origin/">'</a>t see white spaces - it's just like the ad didn't exist. Don<a href="https://addons.mozilla.org/de/firefox/addon/ublock-origin/">'</a>t use other “adblock” add<a href="https://addons.mozilla.org/de/firefox/addon/ublock-origin/">-</a>ons. uBlock Origin can be trusted since it's <a href="https://github.com/gorhill/uBlock">open source</a>.</li>
  <li style="text-align:justify;"><a href="https://www.eff.org/https-everywhere">HTTPS everywhere</a>. This add<a href="https://www.eff.org/https-everywhere">-</a>on ensures always using HTTPS connections when browsing the internet. This means, that all traffic will be encrypted, otherwise people can easily read everything you are sending and receiving. In Firefox 83+ this feature has been natively implemented but needs to be enabled manually.</li>
  <li style="text-align:justify;"><a href="https://www.localcdn.org/">LocalCDN</a>. LocalCDN is a web browser extension that emulates Content Delivery Networks to improve your online privacy. It intercepts the traffic, finds supported resources locally, and injects them into the environment. It works well with uBlock Origin and is able to generate rules for this add<a href="https://www.localcdn.org/">-</a>on which you should do, just follow its <a href="https://codeberg.org/nobody/LocalCDN/wiki#user-content-6-why-do-i-need-this-rule-generator-i-use-an-adblocker-and-want-to-import-these-rules-how-does-it-work">FAQ</a>.</li>
  <li style="text-align:justify;"><a href="https://github.com/kkapsner/CanvasBlocker/">CanvasBlocker</a>. Browser fingerprinting is quite a problem since it allows companies to identify you even if a VPN service is used due to its unique fingerprint. CanvasBlocker emulates different APIs to protect your data.</li>
  <li style="text-align:justify;"><a href="https://noscript.net/">NoScript</a>. Although most people don't use this add<a href="https://noscript.net/">-</a>on because its breaks most websites by design. It's blocking the use of JavaScript - which most of the content relies on these days. But this means that tracking technologies also won<a href="https://noscript.net/">'</a>t work for example. The use of this add-on needs manual adjustments to allow/disallowed contents to be truly usable.</li>
  <li style="text-align:justify;"><a href="https://github.com/ClearURLs/Addon">ClearURL's</a>. It clears all the URL's that you visit from garbage information. Plain and simple.</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Using secure passwords</h2>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">Talking about this topic is important - most people use very easy passwords for their accounts which can be easily brute-forced by other people to gain access. Passwords like name1959, password, easy123, and so on fall into this category. You can <a href="https://www.security.org/how-secure-is-my-password/">check here</a> if the password used is secure. Using the same password for every account should also be avoided!&nbsp;</p>
<p style="text-align:justify;">The best way to generate and save passwords is using a password manager such as &nbsp;Bitwarden. Bitwarden is open source so it can be trusted. You can even self-host your own instance. We provide a <a href="https://vault.garudalinux.org">self-hosted instance</a> that you can use along with its Firefox add-on. &nbsp;Just change the server used to “vault.garudalinux.org” and create an account. It also has a &nbsp;mobile client which is very easy to use! Using 3+ different kinds of characters and 14+ &nbsp;characters should be secure enough.&nbsp;</p>
<figure class="image"><img src="/screenshots/bitwarden-generate.png"></figure>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Using the right search engines</h2>
<p style="text-align:justify;">Search engines should be chosen carefully. Google, Bing, or Yahoo should be avoided these days. Recommended alternatives are for example DuckDuckGo, Startpage.com, or Searx. We host a variant of <a href="https://searx.garudalinux.org">Searx</a> and <a href="https://search.garudalinux.org">Whoogle</a> (a meta-search using Google search results <a href="https://github.com/benbusby/whoogle-search">without tracking</a> the user) for you to use.&nbsp;</p>
<p style="text-align:justify;">One of these should be set as a default search engine in your favorite browser. This can be done via browser settings.&nbsp;</p>
